=== debian/changelog ===
mafft (6.850-1) unstable; urgency=low

  * New upstream version
  * Adapted patch to new upstream
  * Debhelper 8 (control + compat)
  * debian/rules: Switch to dh
  * debian/links: override broken symlinks created in Makefile

 -- Andreas Tille <tille@debian.org>  Sat, 12 Mar 2011 00:02:43 +0100
