=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Build rules for the Debian package mafft.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with quilt

override_dh_build:
	$(MAKE) -C core PREFIX=/usr/lib/mafft

MAFFT = MAFFT_BINARIES=$(CURDIR)/binaries scripts/mafft
override_dh_auto_test:
	-$(MAFFT) 				test/sample | diff test/sample.fftns2 -
	-$(MAFFT) --maxiterate 100 		test/sample | diff test/sample.fftnsi -
	-$(MAFFT) --globalpair 			test/sample | diff test/sample.gins1 -
	-$(MAFFT) --globalpair --maxiterate 100	test/sample | diff test/sample.ginsi -
	-$(MAFFT) --localpair			test/sample | diff test/sample.lins1 -
	-$(MAFFT) --localpair --maxiterate 100	test/sample | diff test/sample.linsi -

override_dh_clean:
	[ ! -f core/Makefile ] || $(MAKE) -C core clean
	rm -rf binaries/* scripts/*
	dh_clean

override_dh_install:
	$(MAKE) -C core PREFIX=$(CURDIR)/debian/mafft/usr/lib/mafft MANDIR=$(CURDIR)/debian/mafft/usr/share/man/man1 install
