## mafft 6.860

=== core/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PREFIX = /usr/local
-LIBDIR = $(PREFIX)/lib/mafft
+LIBDIR = $(PREFIX)/libexec/mafft
 BINDIR = $(PREFIX)/bin
 MANDIR = $(PREFIX)/share/man/man1
