=== debian/changelog ===
mafft (6.860-1) unstable; urgency=low

  * New upstream release.
  * Simplified debian/watch.
  * Updated Homepage (debian/control).
  * Compress binary package with xz (debian/control).

 -- Charles Plessy <plessy@debian.org>  Sun, 18 Sep 2011 14:43:10 +0900

mafft (6.859-1) unstable; urgency=low

  * New upstream release.
  * Converted debian/copyright to machine-readable (DEP 5) format.

 -- Charles Plessy <plessy@debian.org>  Sat, 27 Aug 2011 12:06:00 +0900

mafft (6.857-1) unstable; urgency=low

  * New upstream version.
  * Enable multithread, correct FHS path (debian/rules).
  * Removed extra manpage copies instead of patching Makefile and
    installing via debhleper (debian/patches, debian/rules, debian/manpages).
  * Removed debian/dirs, not needed anymore.
  * Run the tests after installation, and allow them to fail (debian/rules).
  * Build when running debian/rules build (override typo, Closes: #636634).
  * Corrected VCS fields in debian/control.
  * Incremented Standards-Version to reflect conformance wiht Policy 3.9.2
    (debian/control, no changes needed). 

 -- Charles Plessy <plessy@debian.org>  Fri, 05 Aug 2011 09:54:09 +0900
