=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Uploaders: Charles Plessy <plessy@debian.org>,
  Andreas Tille <tille@debian.org>
 Build-Depends: debhelper (>= 8), quilt (>= 0.47)
-Standards-Version: 3.9.1
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mafft/trunk/?rev=0&sc=0
-Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/mafft/trunk/
-Homepage: http://align.bmr.kyushu-u.ac.jp/mafft/software/
+Standards-Version: 3.9.2
+Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mafft/trunk/
+Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/mafft/trunk/
+Homepage: http://mafft.cbrc.jp/alignment/software/
 
 Package: mafft
 Architecture: any
