=== debian/watch ===
version=3
http://align.bmr.kyushu-u.ac.jp/mafft/software/source.html mafft-(.*)-without-extensions-src\.tgz
