## mafft 6.864

=== core/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 PROGS = dvtditr dndfast7 dndblast sextet5 mafft-distance pairlocalalign \
 		pair2hat3s multi2hat3s rnatest pairash \
         splittbfast disttbfast tbfast mafft-profile f2cl mccaskillwrap contrafoldwrap countlen \
-		seq2regtable regtable2seq score getlag dndpre dndpre2 setcore replaceu restoreu
+		seq2regtable regtable2seq score getlag dndpre dndpre2 setcore replaceu restoreu version
 SCRIPTS = mafft mafft-homologs.rb
 OBJREPLACEU = mtxutl.o io.o replaceu.o defs.o mltaln9.o
 OBJRESTOREU = mtxutl.o io.o restoreu.o defs.o mltaln9.o
@@ -129,6 +129,9 @@
 mltaln.h : functions.h
 	touch mltaln.h
 
+version : version.c
+	$(CC) -o $@ version.c $(MYCFLAGS)
+
 tbfast : $(OBJTBFAST)
 	$(CC) -o $@ $(OBJTBFAST) $(MYCFLAGS) $(LIBS)
 
@@ -303,6 +306,3 @@
 partQalignmm.o : partQalignmm.c $(HEADER)
 	$(CC) $(MYCFLAGS) -c partQalignmm.c  
 
-Lalign11.o : Lalign11.c $(HEADER)
-	$(CC) $(MYCFLAGS) -c Lalign11.c 
-
