=== debian/changelog ===
mafft (6.864-1) unstable; urgency=low

  * New upstream release.
  * Pre-Depends on dpkg (>= 1.15.6) for xz compression support (debian/control).
  * Renamed debian/README.Debian debian/README.test.
  * Track the new website in debian/watch.

 -- Charles Plessy <plessy@debian.org>  Thu, 12 Jan 2012 19:00:31 +0900
