=== debian/control ===
--- 
+++ 
@@ -13,6 +13,8 @@
 
 Package: mafft
 Architecture: any
+# Needed until after Ubuntu 12.04 LTS.
+Pre-Depends: dpkg (>= 1.15.6)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: blast2, lynx, ruby
 Enhances: t-coffee
