=== debian/watch ===
version=3
http://mafft.cbrc.jp/alignment/software/source.html mafft-(.*)-with-extensions-src.tgz
