## mafft 6.940

=== core/Makefile ===
--- 
+++ 
@@ -5,16 +5,18 @@
 
 #MNO_CYGWIN = -mno-cygwin
 
-#ENABLE_MULTITHREAD = -Denablemultithread
-#Uncomment this to enable multithreading (linux only)
+ENABLE_MULTITHREAD = -Denablemultithread
+# Comment out the above line if your compiler 
+# does not support TLS (thread-local strage).
 
 CC = gcc
 CFLAGS = -O3
 #CFLAGS =  -O0  -pedantic -Wall -std=c99 -g -pg -DMALLOC_CHECK_=3
+#CFLAGS =  -O0  -pedantic -Wall -std=c99 -g -DMALLOC_CHECK_=3 # for shark
 
 MYCFLAGS = $(MNO_CYGWIN) $(ENABLE_MULTITHREAD) $(CFLAGS)
 
-ifeq ($(ENABLE_MULTITHREAD),-Denablemultithread)
+ifdef ENABLE_MULTITHREAD
 LIBS = -lm  -lpthread
 else
 LIBS = -lm
@@ -23,10 +25,11 @@
 INSTALL = install
 
 PROGS = dvtditr dndfast7 dndblast sextet5 mafft-distance pairlocalalign \
-		pair2hat3s multi2hat3s rnatest pairash \
+		pair2hat3s multi2hat3s rnatest pairash addsingle \
         splittbfast disttbfast tbfast mafft-profile f2cl mccaskillwrap contrafoldwrap countlen \
-		seq2regtable regtable2seq score getlag dndpre dndpre2 setcore replaceu restoreu version
+		seq2regtable regtable2seq score getlag dndpre dndpre2 setcore replaceu restoreu setdirection makedirectionlist version
 SCRIPTS = mafft mafft-homologs.rb
+OBJSETDIRECTION = mtxutl.o io.o setdirection.o defs.o mltaln9.o
 OBJREPLACEU = mtxutl.o io.o replaceu.o defs.o mltaln9.o
 OBJRESTOREU = mtxutl.o io.o restoreu.o defs.o mltaln9.o
 OBJREGTABLE2SEQ = mtxutl.o io.o regtable2seq.o defs.o mltaln9.o
@@ -65,9 +68,15 @@
 OBJDISTTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
 			disttbfast.o defs.o fft.o fftFunctions.o addfunctions.o
+OBJMAKEDIRECTIONLIST = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
+		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
+			makedirectionlist.o defs.o fft.o fftFunctions.o addfunctions.o
 OBJTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o MSalignmm.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o \
 			tbfast.o defs.o fft.o fftFunctions.o addfunctions.o
+OBJADDSINGLE = mtxutl.o io.o mltaln9.o tddis.o constants.o MSalignmm.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
+		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o \
+			addsingle.o defs.o fft.o fftFunctions.o addfunctions.o
 OBJTBFAST2 = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o MSalignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o \
 			tbfast2.o defs.o fft.o fftFunctions.o
@@ -119,7 +128,7 @@
 univscript: univscript.tmpl Makefile
 	sed "s:_PROGS:$(PROGS):" univscript.tmpl  > univscript
 
-mafft: mafft.tmpl
+mafft: mafft.tmpl mltaln.h
 	sed "s:_LIBDIR:$(LIBDIR):" mafft.tmpl  > mafft
 
 mafft-homologs.rb: mafft-homologs.tmpl
@@ -129,18 +138,24 @@
 mltaln.h : functions.h
 	touch mltaln.h
 
-version : version.c
+version : version.c mltaln.h
 	$(CC) -o $@ version.c $(MYCFLAGS)
 
 tbfast : $(OBJTBFAST)
 	$(CC) -o $@ $(OBJTBFAST) $(MYCFLAGS) $(LIBS)
 
+addsingle : $(OBJADDSINGLE)
+	$(CC) -o $@ $(OBJADDSINGLE) $(MYCFLAGS) $(LIBS)
+
 tbfast2 : $(OBJTBFAST2)
 	$(CC) -o $@ $(OBJTBFAST2) $(MYCFLAGS) $(LIBS)
 
 disttbfast : $(OBJDISTTBFAST)
 	$(CC) -o $@ $(OBJDISTTBFAST) $(MYCFLAGS) $(LIBS)
 
+makedirectionlist : $(OBJMAKEDIRECTIONLIST)
+	$(CC) -o $@ $(OBJMAKEDIRECTIONLIST) $(MYCFLAGS) $(LIBS)
+
 splittbfast : $(OBJSPLITTBFAST)
 	$(CC) -o $@ $(OBJSPLITTBFAST) $(MYCFLAGS) $(LIBS)
 
@@ -165,6 +180,9 @@
 regtable2seq : $(OBJREGTABLE2SEQ)
 	$(CC) -o $@ $(OBJREGTABLE2SEQ) $(MYCFLAGS) $(LIBS)
 
+setdirection : $(OBJSETDIRECTION)
+	$(CC) -o $@ $(OBJSETDIRECTION) $(MYCFLAGS) $(LIBS)
+
 replaceu : $(OBJREPLACEU)
 	$(CC) -o $@ $(OBJREPLACEU) $(MYCFLAGS) $(LIBS)
 
@@ -262,47 +280,3 @@
 	$(CC) -o $@ $(OBJDNDPRESCORE) $(MYCFLAGS) $(LIBS)
 
 score : $(OBJSCORE)
-	$(CC) -o $@ $(OBJSCORE) $(MYCFLAGS) $(LIBS)
-
-genMtx : $(OBJGENMTX)
-	$(CC) -o $@ $(OBJGENMTX) $(MYCFLAGS) $(LIBS)
-
-gapfill.o : gapfill.c $(HEADER)
-	$(CC) $(MYCFLAGS) -c gapfill.c
-
-mltaln9.o : mltaln9.c $(HEADER)
-	$(CC) $(MYCFLAGS) -c mltaln9.c
-
-tddis.o : tddis.c $(HEADER)
-	$(CC) $(MYCFLAGS) -c tddis.c
-
-constants.o : constants.c miyata.h miyata5.h blosum.c DNA.h JTT.c $(HEADER)
-	$(CC) $(MYCFLAGS) -c constants.c
-
-defs.o : defs.c 
-	$(CC) $(MYCFLAGS) -c defs.c
-
-#A+++alignmm.o : SA+++alignmm.c $(HEADER)
-#	$(CC) $(MYCFLAGS) -c SA+++alignmm.c -o A+++alignmm.o
-
-Salignmm.o : Salignmm.c $(HEADER)
-	$(CC) $(MYCFLAGS) -c Salignmm.c 
-
-Halignmm.o : Halignmm.c $(HEADER)
-	$(CC) $(MYCFLAGS) -c Halignmm.c 
-
-Ralignmm.o : Ralignmm.c $(HEADER)
-	$(CC) $(MYCFLAGS) -c Ralignmm.c 
-
-Qalignmm.o : Qalignmm.c $(HEADER)
-	$(CC) $(MYCFLAGS) -c Qalignmm.c 
-
-MSalignmm.o : MSalignmm.c $(HEADER)
-	$(CC) $(MYCFLAGS) -c MSalignmm.c 
-
-partSalignmm.o : partSalignmm.c $(HEADER)
-	$(CC) $(MYCFLAGS) -c partSalignmm.c  
-
-partQalignmm.o : partQalignmm.c $(HEADER)
-	$(CC) $(MYCFLAGS) -c partQalignmm.c  
-
