=== debian/changelog ===
mafft (6.940-1) unstable; urgency=low

  [ Charles Plessy ]
  * New upstream release (no new license nor copyright statement).
  * Removed unnecessary build-dependance on quilt.
  * Test for regressions with autopkgtest insted of doing it at build time.
    (debian/control, debian/tests/control, debian/tests/with-example-data)
  * debian/control:
    - Removed 'Pre-Depends: dpkg (>= 1.15.6)' now that Ubuntu LTS 12.04 is out.
    - Increment Standards-Version to show conformance with Policy 3.9.4.
    - Removed DM-Upload-Allowed field.
    - Normalised with the command cme fix dpkg-control.
    - Use Debhelper 9 (also debian/compat).
  * Pass dpkg build flags in debian/rules.

  [ Andreas Tille ]
  * debian/upstream:
     - Single Reference field instead of Reference-*
     - Add additional reference from tasks file
     - Authors in BibTeX conform format

 -- Charles Plessy <plessy@debian.org>  Sun, 14 Oct 2012 15:42:54 +0900
