=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: mafft
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Charles Plessy <plessy@debian.org>,
+           Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
-Uploaders: Charles Plessy <plessy@debian.org>,
- Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 8), quilt (>= 0.47)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.4
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mafft/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/mafft/trunk/
 Homepage: http://mafft.cbrc.jp/alignment/software/
 
 Package: mafft
 Architecture: any
-# Needed until after Ubuntu 12.04 LTS.
-Pre-Depends: dpkg (>= 1.15.6)
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: blast2, lynx, ruby
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Recommends: blast2,
+            lynx,
+            ruby
 Enhances: t-coffee
 Description: Multiple alignment program for amino acid or nucleotide sequences
  MAFFT is a multiple sequence alignment program which offers three
@@ -37,3 +37,4 @@
     method with a rough guide tree),
   * NW-NS-PartTree-1 (recommended for ∼50,000 sequences; progressive
     method with the PartTree algorithm).
+
