## mafft 7.123

=== core/Makefile ===
--- 
+++ 
@@ -11,8 +11,14 @@
 
 CC = gcc
 CFLAGS = -O3
+
+#CC = icc
+#CFLAGS = -fast
+# if you have icc, use this.
+
 #CFLAGS =  -O0  -pedantic -Wall -std=c99 -g -pg -DMALLOC_CHECK_=3
 #CFLAGS =  -O0  -pedantic -Wall -std=c99 -g -DMALLOC_CHECK_=3 # for shark
+
 
 MYCFLAGS = $(MNO_CYGWIN) $(ENABLE_MULTITHREAD) $(CFLAGS)
 
@@ -27,7 +33,8 @@
 PROGS = dvtditr dndfast7 dndblast sextet5 mafft-distance pairlocalalign \
 		pair2hat3s multi2hat3s rnatest pairash addsingle \
         splittbfast disttbfast tbfast mafft-profile f2cl mccaskillwrap contrafoldwrap countlen \
-		seq2regtable regtable2seq score getlag dndpre dndpre2 setcore replaceu restoreu setdirection makedirectionlist version
+		seq2regtable regtable2seq score getlag dndpre setcore replaceu restoreu setdirection makedirectionlist version
+PERLPROGS = mafftash_premafft.pl
 SCRIPTS = mafft mafft-homologs.rb
 OBJSETDIRECTION = mtxutl.o io.o setdirection.o defs.o mltaln9.o
 OBJREPLACEU = mtxutl.o io.o replaceu.o defs.o mltaln9.o
@@ -70,7 +77,7 @@
 			disttbfast.o defs.o fft.o fftFunctions.o addfunctions.o
 OBJMAKEDIRECTIONLIST = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
-			makedirectionlist.o defs.o fft.o fftFunctions.o addfunctions.o
+			Lalign11.o makedirectionlist.o defs.o fft.o fftFunctions.o addfunctions.o
 OBJTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o MSalignmm.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o \
 			tbfast.o defs.o fft.o fftFunctions.o addfunctions.o
@@ -88,7 +95,7 @@
 		   tditeration.o tditr.o defs.o SAalignmm.o treeOperation.o
 OBJDVTDITR = mtxutl.o io.o mltaln9.o tddis.o constants.o nj.o  partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
 			Falign.o Falign_localhom.o Galign11.o MSalignmm.o fftFunctions.o fft.o  \
-			tditeration.o dvtditr.o defs.o SAalignmm.o treeOperation.o
+			tditeration.o dvtditr.o defs.o SAalignmm.o treeOperation.o addfunctions.o
 OBJGETLAG = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
 			getlag.o defs.o fft.o fftFunctions.o
@@ -105,7 +112,6 @@
 OBJTRIPLET5 = io.o constants.o mtxutl.o mltaln9.o tddis.o triplet5.o defs.o
 OBJOCTET4 = io.o constants.o mtxutl.o mltaln9.o tddis.o octet4.o defs.o
 OBJDNDPRE = dndpre.o io.o constants.o mtxutl.o mltaln9.o defs.o
-OBJDNDPRESCORE = dndpre2.o io.o constants.o mtxutl.o mltaln9.o defs.o
 OBJGALN = io.o mtxutl.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o MSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
           SAalignmm.o Galign11.o Falign.o Falign_localhom.o fftFunctions.o fft.o mafft-profile.o defs.o
 OBJSCORE = io.o mtxutl.o mltaln9.o score.o constants.o defs.o
@@ -117,10 +123,10 @@
 
 
 
-all : $(PROGS) $(SCRIPTS)
+all : $(PERLPROGS) $(PROGS) $(SCRIPTS)
 	cp $(SCRIPTS) ../scripts
 	chmod 755 ../scripts/*
-	cp $(PROGS) ../binaries
+	cp $(PERLPROGS) $(PROGS) ../binaries
 	chmod 755 ../binaries/*
 	cp $(MANPAGES) ../binaries
 	@echo done.
@@ -139,144 +145,123 @@
 	touch mltaln.h
 
 version : version.c mltaln.h
-	$(CC) -o $@ version.c $(MYCFLAGS)
+	$(CC) -o $@ version.c $(MYCFLAGS) $(LDFLAGS)
 
 tbfast : $(OBJTBFAST)
-	$(CC) -o $@ $(OBJTBFAST) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJTBFAST) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 addsingle : $(OBJADDSINGLE)
-	$(CC) -o $@ $(OBJADDSINGLE) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJADDSINGLE) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 tbfast2 : $(OBJTBFAST2)
-	$(CC) -o $@ $(OBJTBFAST2) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJTBFAST2) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 disttbfast : $(OBJDISTTBFAST)
-	$(CC) -o $@ $(OBJDISTTBFAST) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJDISTTBFAST) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 makedirectionlist : $(OBJMAKEDIRECTIONLIST)
-	$(CC) -o $@ $(OBJMAKEDIRECTIONLIST) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJMAKEDIRECTIONLIST) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 splittbfast : $(OBJSPLITTBFAST)
-	$(CC) -o $@ $(OBJSPLITTBFAST) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJSPLITTBFAST) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 splitfromaln : $(OBJSPLITFROMALN)
-	$(CC) -o $@ $(OBJSPLITFROMALN) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJSPLITFROMALN) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 splittbfast2 : $(OBJSPLITTBFAST2)
-	$(CC) -o $@ $(OBJSPLITTBFAST2) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJSPLITTBFAST2) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 dummy : $(OBJDUMMY)
-	$(CC) -o $@ $(OBJDUMMY) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJDUMMY) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 setcore : $(OBJSETCORE)
-	$(CC) -o $@ $(OBJSETCORE) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJSETCORE) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 countlen : $(OBJCOUNTLEN)
-	$(CC) -o $@ $(OBJCOUNTLEN) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJCOUNTLEN) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 seq2regtable : $(OBJSEQ2REGTABLE)
-	$(CC) -o $@ $(OBJSEQ2REGTABLE) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJSEQ2REGTABLE) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 regtable2seq : $(OBJREGTABLE2SEQ)
-	$(CC) -o $@ $(OBJREGTABLE2SEQ) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJREGTABLE2SEQ) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 setdirection : $(OBJSETDIRECTION)
-	$(CC) -o $@ $(OBJSETDIRECTION) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJSETDIRECTION) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 replaceu : $(OBJREPLACEU)
-	$(CC) -o $@ $(OBJREPLACEU) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJREPLACEU) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 restoreu : $(OBJRESTOREU)
-	$(CC) -o $@ $(OBJRESTOREU) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJRESTOREU) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 f2cl : $(OBJF2CL)
-	$(CC) -o $@ $(OBJF2CL) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJF2CL) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 mccaskillwrap : $(OBJMCCASKILLWRAP)
-	$(CC) -o $@ $(OBJMCCASKILLWRAP) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJMCCASKILLWRAP) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 contrafoldwrap : $(OBJCONTRAFOLDWRAP)
-	$(CC) -o $@ $(OBJCONTRAFOLDWRAP) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJCONTRAFOLDWRAP) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 pairlocalalign : $(OBJPAIRLOCALALIGN)
-	$(CC) -o $@ $(OBJPAIRLOCALALIGN) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJPAIRLOCALALIGN) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 pairash : $(OBJPAIRASH)
-	$(CC) -o $@ $(OBJPAIRASH) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJPAIRASH) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 rnatest : $(OBJRNATEST)
-	$(CC) -o $@ $(OBJRNATEST) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJRNATEST) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 pair2hat3s : $(OBJPAIR2HAT3S)
-	$(CC) -o $@ $(OBJPAIR2HAT3S) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJPAIR2HAT3S) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 multi2hat3s : $(OBJMULTI2HAT3S)
-	$(CC) -o $@ $(OBJMULTI2HAT3S) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJMULTI2HAT3S) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 getlag : $(OBJGETLAG)
-	$(CC) -o $@ $(OBJGETLAG) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJGETLAG) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 tditr : $(OBJTDITR)
-	$(CC) -o $@ $(OBJTDITR) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJTDITR) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 dvtditr : $(OBJDVTDITR)
-	$(CC) -o $@ $(OBJDVTDITR) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJDVTDITR) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 mafft-profile : $(OBJGALN)
-	$(CC) -o $@ $(OBJGALN) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJGALN) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 gapfill : $(OBJGAPFILL)
-	$(CC) -o $@ $(OBJGAPFILL) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJGAPFILL) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 dndfast4 : $(OBJDNDFAST4)
-	$(CC) -o $@ $(OBJDNDFAST4) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJDNDFAST4) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 dndfast5 : $(OBJDNDFAST5)
-	$(CC) -o $@ $(OBJDNDFAST5) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJDNDFAST5) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 dndfast6 : $(OBJDNDFAST6)
-	$(CC) -o $@ $(OBJDNDFAST6) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJDNDFAST6) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 dndfast7 : $(OBJDNDFAST7)
-	$(CC) -o $@ $(OBJDNDFAST7) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJDNDFAST7) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 dndblast : $(OBJDNDBLAST)
-	$(CC) -o $@ $(OBJDNDBLAST) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJDNDBLAST) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 dndfast3 : $(OBJDNDFAST3)
-	$(CC) -o $@ $(OBJDNDFAST3) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJDNDFAST3) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 triplet : $(OBJTRIPLET)
-	$(CC) -o $@ $(OBJTRIPLET) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJTRIPLET) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 triplet3 : $(OBJTRIPLET3)
-	$(CC) -o $@ $(OBJTRIPLET3) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJTRIPLET3) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 sextet3 : $(OBJSEXTET3)
-	$(CC) -o $@ $(OBJSEXTET3) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJSEXTET3) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 sextet4 : $(OBJSEXTET4)
-	$(CC) -o $@ $(OBJSEXTET4) $(MYCFLAGS) $(LIBS)
+	$(CC) -o $@ $(OBJSEXTET4) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 sextet5 : $(OBJSEXTET5)
-	$(CC) -o $@ $(OBJSEXTET5) $(MYCFLAGS) $(LIBS)
-
-mafft-distance : $(OBJDISTANCE)
-	$(CC) -o $@ $(OBJDISTANCE) $(MYCFLAGS) $(LIBS)
-
-triplet5 : $(OBJTRIPLET5)
-	$(CC) -o $@ $(OBJTRIPLET5) $(MYCFLAGS) $(LIBS)
-
-triplet6 : $(OBJTRIPLET6)
-	$(CC) -o $@ $(OBJTRIPLET6) $(MYCFLAGS) $(LIBS)
-
-octet4 : $(OBJOCTET4)
-	$(CC) -o $@ $(OBJOCTET4) $(MYCFLAGS) $(LIBS)
-
-dndpre : $(OBJDNDPRE)
-	$(CC) -o $@ $(OBJDNDPRE) $(MYCFLAGS) $(LIBS)
-
-dndpre2 : $(OBJDNDPRESCORE)
-	$(CC) -o $@ $(OBJDNDPRESCORE) $(MYCFLAGS) $(LIBS)
-
-score : $(OBJSCORE)
