=== debian/changelog ===
mafft (7.123-1) unstable; urgency=low

  * New upstream version.
  * Correct watch file, which was downloading the non-free version.
    This error did not affect the current stable release of Debian.
  * debian/tests/with-example-data: disable multithreading to stabilise output.

 -- Charles Plessy <plessy@debian.org>  Wed, 16 Oct 2013 08:22:20 +0900

mafft (7.058-1) unstable; urgency=low

  * New upstream version incorporated debian/patches
    Closes: #715827, #715830, #715831, #715847, #715881

 -- Andreas Tille <tille@debian.org>  Sun, 04 Aug 2013 08:51:10 +0200

mafft (7.055-1) unstable; urgency=low

  [ Charles Plessy ]
  * Signal the use of autopkgtest in debian/control (closes: #692683).

  [ Andreas Tille ]
  * New upstream version
  * debian/README.source: removed because redundant
  * debian/patches/hardening.patch: Enable propagation of hardening
    options
  * debian/control: use anonscm in Vcs fields

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jul 2013 13:39:43 +0200
