## mafft 7.127

=== debian/changelog ===
mafft (7.127-1) unstable; urgency=low

  * New upstream release.
  * debian/tests/with-example-data: Don't write progress to stderr on success.
    Closes: #728190, thanks to Martin Pitt <martin.pitt@ubuntu.com>.
  * Conforms with Policy 3.9.5.
  * Pass CPPFLAGS within CFLAGS.

 -- Charles Plessy <plessy@debian.org>  Sat, 30 Nov 2013 17:30:14 +0900
