=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: science
+XS-Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/mafft/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/mafft/trunk/
 Homepage: http://mafft.cbrc.jp/alignment/software/
-XS-Testsuite: autopkgtest
 
 Package: mafft
 Architecture: any
@@ -38,4 +38,3 @@
     method with a rough guide tree),
   * NW-NS-PartTree-1 (recommended for ∼50,000 sequences; progressive
     method with the PartTree algorithm).
-
